const Joi = require("joi");

// ========================
// User Schedule Validation
// ========================
const insertUserScheduleSchema = Joi.object({
    user_id: Joi.number().integer().required(),
    schedule_id: Joi.number().integer().optional(),
    shift_id: Joi.number().required(),
});

const updateUserScheduleSchema = Joi.object({
    user_id: Joi.number().integer().optional(),
    schedule_id: Joi.number().integer().optional(),
    shift_id: Joi.number().optional()
}).min(1);

module.exports = {
    insertUserScheduleSchema,
    updateUserScheduleSchema
};
